<?php
namespace Controller;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Method;
use Zeedhi\Framework\DTO\Response\Error;

class Movopsol extends \Zeedhi\Framework\Controller\Simple {

	protected $movopsol;

	public function __construct(\Service\Movopsol $movopsol) {
        $this->movopsol = $movopsol;
    }

    public function criaMovopsol(Request\Dataset $request, Response $response) {
        try {
        	$rows = $request->getDataSet()->getRows();

            $this->movopsol->criaMovopsol($rows);

        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}