<?php
namespace Controller;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;

class Server extends \Zeedhi\Framework\Controller\Simple {

	const VERSION_STATUS = '3.4';

	public function Server(Request $request, Response $response) {
        try {
			$response->addDataSet(new DataSet('connection', array(array('version' => self::VERSION_STATUS))));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }

    public function Exportacao(Request $request, Response $response) {
        try {
			$response->addDataSet(new DataSet('Exportacao', array(true)));
        } catch (\Exception $e) {
           $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}